@extends('layouts.main')

@section('content')
<!--********************* SITE CONTENT *********************-->
<!--********************************************************-->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-dark uk-background-cover" style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
  <div class="uk-container uk-container-xlarge">
    <h2 class="uk-heading-small">{{ __('main.About')}}</h2> 
    <ul class="uk-breadcrumb bold-2">
      <li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
      <li><span>{{ __('main.About')}}</span></li>
    </ul>          
  </div>
</div>
<!-- ===========================================  content =================================== -->
  <div class="uk-section uk-section-muted">
    <div class="uk-container uk-container-xlarge">
      <div class="uk-child-width-expand" uk-grid>
        <div class="uk-width-1-2">
          <article class="uk-article uk-text-left">
            <p class="uk-article-meta bold-2">{{ __('main.simple_Foodka')}}</p>
            <h1 class="uk-heading-medium uk-margin-remove-top uk-animation-slide-left-small">{{ __('main.Food')}} <span class="uk-Montserrat">{{ __('main.Everything_times')}}</span></h1>
            <p class="uk-color-list bold-2">{{ __('main.No_matter')}}</p>
            <p class="uk-text-lead bold-2">{{ __('main.Management_things')}}</p>
            <p class="uk-color-list bold-2">{{ __('main.No_whether')}}</p>
            <hr class="uk-divider-icon">
          </article>
        </div>
        <div class="uk-width-1-2">
         <div class="uk-cover-container uk-height-video uk-border-rounded">
           <video src="{{ asset('assets/video/video.mp4') }}" loop muted playsinline uk-video="autoplay: inview"></video>
         </div>
        </div>
      </div>
    </div>
  </div>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-section-muted uk-padding-remove-top">
<div class="uk-container uk-container-xlarge">
<div  uk-grid> 
  <div class="uk-width-1-1">
    <h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet">{{ __('main.Categories')}}</h1>
    @foreach($Categories as $Category)
  <a class="btn btn-outline-primary rounded iq-col-masonry-block uk-margin-top" href="{{ url('Cat') }}/{{ $Category->slug }}"> {{ $Category->{'Title_'.$Locale} }}
  </a>
    @endforeach
  </div>
</div>
</div>
</div>
<!-- ===========================================  content =================================== -->
@endsection
