@extends('layouts.main')

@section('content')
<!-- ========================= Content Start ================================================ -->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-dark uk-background-cover" 
style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
<div class="uk-container uk-container-xlarge">
  <h2 class="uk-heading-small">{{ __('main.Cities')}}</h2> 
  <ul class="uk-breadcrumb bold-2">
    <li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
    <li><span>{{ __('main.Cities')}}</span></li>
  </ul>          
</div>
</div>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-section-muted">
  <div class="uk-container uk-container-xlarge">
    @if(COUNT($Cities) == NULL)
    <div>
      <div class="uk-alert-primary" uk-alert>
        <a class="uk-alert-close" uk-close></a>
        <p>{{ __('main.Cities')}}</p>
      </div>
    </div>
    @else
    @endif
    <div class="uk-child-width-1-4@m" uk-grid>
      @foreach($Cities as $City)
      <div>
        <div class="uk-card uk-card-default">
          <div class="uk-card-header">
            <div class="uk-grid-small uk-flex-middle" uk-grid>
          <div class="uk-width-auto">
            @if(isset($City->ImageUpload->filename))
           <a href="{!! url('Cities') !!}/{!! $City->slug !!}"><img class="uk-border-10" width="100" height="100" src="{{ asset($City->ImageUpload->filename) }}"></a> 
            @else
            @endif
          </div>
              <div class="uk-width-expand">
                <a href="{!! url('Cities') !!}/{!! $City->slug !!}">
                 <h2 class="uk-card-title uk-margin-remove-bottom">{{ $City->{'Title_'.$Locale} }}</h2>
                </a> 
              </div>
            </div>
          </div>
        </div>
      </div>
      @endforeach
    </div>
  </div>
</div>
<div class="uk-section uk-section-muted uk-padding-remove-top">
<div class="uk-container uk-container-xlarge">
<div  uk-grid> 
  <div class="uk-width-1-1">
    <h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet">{{ __('main.Cities')}}</h1>
    @foreach($Cities as $City)
  <a class="btn btn-outline-primary rounded iq-col-masonry-block uk-margin-top" 
     href="{{ url('Cities') }}/{{ $City->slug }}"> {{ $City->{'Title_'.$Locale} }}
  </a>
    @endforeach
  </div>
</div>
</div>
</div>
<!-- ============================= Content end   ============================================ -->
@endsection