@extends('layouts.main')

@section('content')
<!--********************* SITE CONTENT *********************-->
<!--********************************************************-->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-dark uk-background-cover" style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
<div class="uk-container uk-container-xlarge">
<h2 class="uk-heading-small">{{ __('main.Contact_Us')}}</h2> 
<ul class="uk-breadcrumb bold-2">
<li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
<li><span>{{ __('main.Contact_Us')}}</span></li>
</ul>          
</div>
</div>
  <div class="uk-section uk-section-muted">
    <div class="uk-container uk-container-xlarge">
      <div class="uk-child-width-expand" uk-grid>
      <div class="uk-width-1-1">
        <div class="uk-card uk-card-default uk-card-body uk-border-rounded">
          <!-- ===========================================  google iframe maps =================================== -->
          <iframe 
           src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d172139.41616624457!2d-122.48214752341369!3d47.61294318323425!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x5490102c93e83355%3A0x102565466944d59a!2sSeattle%2C%20WA%2C%20USA!5e0!3m2!1sen!2seg!4v1590413790647!5m2!1sen!2seg" 
           width="1390" height="450" frameborder="0" style="border:0;" allowfullscreen="" aria-hidden="false" tabindex="0">
          </iframe>
          <!-- ===========================================  google iframe maps =================================== -->
        </div>
      </div>
      </div>
      <div class="uk-child-width-expand" uk-grid>
      <div class="uk-width-1-2">
        <div class="uk-card uk-card-default uk-card-body uk-border-rounded">
         <div>
          <h2 class="uk-heading-small uk-heading-bullet">{{ __('main.Contact_Us')}}</h2> 
          <p class="uk-dark bold-2">{{ __('main.is_powerful')}}</p>
          <p class="uk-dark bold-2">{{ __('main.Script_modern')}}</p>
          <a class="uk-button uk-link-muted uk-padding-remove"><span uk-icon="mail"></span> {{ option('Email') }}</a>
          <a class="uk-button uk-link-muted uk-padding-remove uk-bl"><span uk-icon="location"></span>  
           {{ option('Address') }} </a>
          <a class="uk-button uk-link-muted uk-padding-remove"><span uk-icon="phone"></span> {{ option('PhoneNumber') }}</a>
        </div>
      </div>
    </div>
    <div class="uk-width-1-2 ">
      <div class="uk-padding uk-card uk-card-default uk-card-body uk-border-rounded">
        <div class="uk-width-expand">
          <!--   ================  Messagge ==============================================  -->
          @if(session('Messagge'))
          <div class="uk-alert-success" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>{{ __('main.Congratulations_Message')}}</p>
          </div>
          @endif
          <!--   ===============================  Messagge  ==============================  -->
          @if ($errors->any()) 
          <div class="uk-alert-success" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>
              @foreach ($errors->all() as $error)
              {{ $error }}
              @endforeach
            </p>
          </div>   
          @endif
         <!-- ===============================  Messagge  ==================================== -->
         <!-- ================================ Messagge  ==================================== -->
          <script>
            function validateForm() {
              var x = document.forms["Contact"]["Content"].value;
              if (x == null || x == "" || x.length > 50 ) {
               window.location.href = '{{ url('') }}';
               return false;
             }
           }
          </script>
          <!-- ================================ Messagge  ================================ -->
           <form method="post" action="{{ route('Contact.store') }}" name="Contact" onsubmit="return validateForm()">
           {{ csrf_field() }}
            <div class="uk-margin">
              <div class="uk-inline uk-width">
                <span class="uk-form-icon" uk-icon="icon: user"></span>
                <input class="uk-input @error('name') is-invalid @enderror" type="text" placeholder="{{ __('main.Your_Name')}}" name="name">
                 @error('name')
                  <div class="uk-alert-warning" uk-alert>
                    <a class="uk-alert-close" uk-close></a>
                    <p>{{ $message }}</p>
                  </div>
                  @enderror
              </div>
            </div>
            <div class="uk-margin">
              <textarea name="Message" class="uk-textarea bold-2 @error('Message') is-invalid @enderror" rows="4" placeholder="{{ __('main.Create_Message')}}"></textarea>
              @error('Message')
              <div class="uk-alert-warning" uk-alert>
                <a class="uk-alert-close" uk-close></a>
                <p>{{ $message }}</p>
              </div>
              @enderror
            </div>
            <button type="submit" class="uk-button bold-2 uk-button-secondary uk-border-pill uk-button-small">
              {{ __('main.Message')}}  <span uk-icon="arrow-right"></span>
            </button>
          </form>
          <!-- ================================ Messagge form ================================ -->
        </div>
      </div>
    </div>
  </div>
</div>
</div>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-section-muted uk-padding-remove-top">
<div class="uk-container uk-container-xlarge">
<div class="uk-border-rounded uk-background-cover uk-panel job" style="background-image: url('{{ asset('assets/images/jop.jpg') }}');">
<div data-uk-grid>
<div class="uk-width-1-2">
<div class="uk-padding-left uk-dark">
<h1 class="uk-heading-small uk-margin-remove-top uk-animation-slide-left-small">
<span class="uk-Montserrat">{{ __('main.Are_you')}}</span> {{ __('main.looking')}}  <span class="uk-Montserrat">{{ __('main.For')}}</span></h1>
<h1 class="uk-heading-small uk-animation-slide-left-small"><span class="uk-Montserrat">{{ __('main.a_flexible')}}</span> {{ __('main.Part')}}  </h1>
<h1 class="uk-heading-small uk-animation-slide-left-small">{{ __('main.Time_job2')}}</h1>
<p class="uk-margin-medium-top"><span class="uk-Montserrat bold-2">{{ __('main.Then_Foodka')}}</span></p>
<a class="uk-button uk-button-danger uk-border-10 uk-margin-medium-top uk-button-large" href="{{ route('register') }}">{{ __('main.Sign_Up')}}</a>
</div>
</div>
<div class="uk-width-1-2 phone">
<a href="{{ url('Contact_us') }}"><img src="{{ asset('assets/images/phone.webp') }}" alt="Phone"></a>
</div>
</div>
</div>
</div>
</div>
@endsection
