@extends('layouts.main')

@section('content')
<!-- ========================================= Content Start ============================== -->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ========================================== content =================================== -->
<div class="uk-section uk-dark uk-background-cover" style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
  <div class="uk-container uk-container-xlarge">
    <h2 class="uk-heading-small">{{ $Food->{'Title_'.$Locale} }}</h2> 
    <ul class="uk-breadcrumb bold-2">
      <li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
      <li><span>{{ $Food->{'Title_'.$Locale} }}</span></li>
    </ul>          
  </div>
</div>
<!-- ==============================  content ================================================= -->
<div class="uk-section uk-section-muted">
  <div class="uk-container uk-container-xlarge">
    <div data-uk-grid>
     <div class="uk-width-expand">
      @if(isset($Food->ImageUpload->filename))
      <img class="uk-border-10" data-src="{{ asset($Food->ImageUpload->filename) }}" width="100%" alt="{{ $Food->meta_description }}" uk-img>
      @else
      @endif      
      <div class="uk-card uk-card-default uk-card-body uk-border-10 uk-margin">
        <div  uk-grid>
          <div class="uk-width-1-1">
            <article class="uk-article">
              <ul class="uk-comment-meta uk-subnav uk-subnav-divider uk-margin-remove-top">
                <li>
                  <a class="uk-color-2">
                    <span class="uk-label uk-label-success span font-14"><i class="fas fa-history"></i> {!! __('main.Delivered_time') !!} {{ $Food->time }}</span> 
                    <span class="uk-label uk-label-danger span font-14"><i class="fas fa-dollar-sign"></i> {{ $Food->price }}</span>
                    <span class="uk-label uk-label-primary span font-14"><i class="fas fa-hotdog"></i> {{ $Food->sku }}</span>
                    <span class="uk-label uk-label-warning span font-14"><i class="fas fa-utensils"></i> {!! __('main.Delivered_price') !!}  {{ $Food->delivery }}</span>
                  </a>
                </li>
                @if(isset($Food->Category->{'Title_'.$Locale}))
                <li class=""><a class="uk-cat uk-float-right"><i class="fas fa-fish"></i> {{ $Food->Category->{'Title_'.$Locale} }} </a></li>
                @else
                @endif
              </ul>
              <p>{!! $Food->{'body_'.$Locale} !!}</p> 
            </article>
          </div>
          <div class="uk-width-expand@m">
            <div class="uk-article">
              <hr>
              @if(isset($Food->Comments)) 
              <h3><span class="uk-margin-small-right" uk-icon="commenting"></span> {{ count($Food->Comments) }} {{ __('main.Comments')}}</h3>
              @else
              <h3><span class="uk-margin-small-right" uk-icon="commenting"></span> 0 {{ __('main.Comments')}}</h3>
              @endif
              <a class="uk-button uk-button-small uk-button-primary uk-margin-right uk-border-rounded bold-2" href="#modal-example" uk-toggle>{{ __('main.Reply')}}</a>
              <!--   ================  Messagge ================  -->
              @if(session('Messagge'))
              <div class="uk-alert-success" uk-alert>
                <a class="uk-alert-close" uk-close></a>
                <p>{{ __('main.Congratulations')}}</p>
              </div>
              @endif
              <!--   ================  Messagge ================  -->
              <!--   ================  Messagge ================  -->
              @if(session('Delete'))
              <div class="uk-alert-danger" uk-alert>
                <a class="uk-alert-close" uk-close></a>
                <p>{{ __('main.Comment_deleted')}}</p>
              </div>
              @endif
              <!--   ================  Messagge ================  -->
              @if ($errors->any())    
              <div class="pgn-wrapper top-inline" data-position="top">
                <div class="pgn push-on-sidebar-open pgn-bar">
                  <div class="uk-alert-warning" uk-alert>
                    <a class="uk-alert-close" uk-close></a>
                    <p>@foreach ($errors->all() as $error) {{ $error }} @endforeach</p>
                  </div>
                </div>
              </div>
              @endif
              <!--   ================  Messagge ================  -->
              <ul class="uk-comment-list">
               <!-- =============================== Comments Posts ======================================== -->
               @foreach($Comments as $comment) 
               <li>
                <article class="uk-comment uk-comment-primary uk-visible-toggle uk-border-rounded" tabindex="-1">
                  <header class="uk-comment-header uk-position-relative">
                    <div class="uk-grid-medium uk-flex-middle" data-uk-grid>
                      <div class="uk-width-auto">
                        @if(isset($comment->User->ImageUpload->filename))
                        <img class="uk-comment-avatar uk-border-circle" src="{{ asset($comment->User->ImageUpload->filename) }}" 
                        width="50" height="50" alt="{{ $comment->User->name }}">
                        @else
                        @endif
                      </div>
                      <div class="uk-width-expand">
                        <h4 class="uk-comment-title uk-margin-remove">
                          @if(isset($comment->User->name))
                          <a class="uk-link-reset">{{ $comment->User->name }}</a>
                          @else
                          @endif
                        </h4>
                        <p class="uk-comment-meta uk-margin-remove-top"><a class="uk-link-reset">
                          <span class="uk-margin-small-right" uk-icon="calendar"></span>{{ date('M j, Y', strtotime($comment->created_at)) }}</a></p>
                        </div>
                      </div>
                      <div class="uk-position-top-right uk-position-small uk-hidden-hover">
                        <a class="uk-button uk-button-small uk-button-primary uk-margin-right bold-2 uk-border-10" href="#modal-example" uk-toggle>{{ __('main.Reply')}}</a>
                        <form class="display-inline" action="{{ route('Comments.destroy',$comment->id) }}" method="POST">
                          @csrf
                          @method('DELETE')
                          <p class="uk-margin-remove"><button class="uk-button uk-button-small uk-button-danger bold-2 uk-border-10" type="submit">{{ __('Delete')}}</button></p>
                        </form>
                      </div>
                    </header>
                    <div class="uk-comment-body">
                      <p>{!! $comment->Comment !!}</p>
                    </div>
                  </article>
                </li>
                @endforeach
                <!-- =============================== Comments Posts ======================================== -->
              </ul>
              <!-- -------------------------- This is the modal --------------------------------- -->
              <div id="modal-example" uk-modal>
                <div class="uk-modal-dialog uk-modal-body uk-border-10">
                  <h2 class="uk-modal-title">{{ __('main.Reply')}}</h2>
                  <form  method="post" action="{{ route('Comments.store')}}">
                    {{ csrf_field() }}
                    <input type="text" name="Post_id" hidden="" value="{{ $Food->id }}">
                    <div class="uk-margin">
                      <textarea  type="text" class="uk-border-10 uk-textarea @error('Comment') is-invalid @enderror" name="Comment" rows="5" 
                      placeholder="{{ __('main.Write_Comment')}}"></textarea>
                      @error('Comment')
                      <div class="uk-alert-warning" uk-alert>
                        <a class="uk-alert-close" uk-close></a>
                        <p>{{ $message }}</p>
                      </div>
                      @enderror 
                    </div>
                    <p class="uk-text-right">
                      <button class="uk-border-10 uk-button uk-button-default uk-modal-close bold-2" type="button">{{ __('main.Cancel')}}</button>
                      <button class="uk-border-10 uk-button uk-button-primary bold-2" type="submit">{{ __('main.Reply')}}</button>
                    </p>
                  </form>
                </div>
              </div>
              <!-- -------------------------- This is the modal --------------------------------- -->
            </div>
          </div>
        </div>
      </div>
      <div class="uk-card uk-card-default uk-card-body uk-border-10 uk-margin">
        <div  uk-grid>
          <div class="uk-width-1-1">
           <div class="uk-card uk-card-default-dark uk-card-body uk-border-rounded uk-margin-top">
            <div class="uk-padding-left uk-dark">
              <h1 class="uk-heading-small uk-margin-remove-top uk-animation-slide-left-small">
                {!! __('main.PayPal') !!}  
              <span class="uk-Montserrat">{!! __('main.payment-title') !!}</span> </h1>
              <p class="uk-margin-medium-top"><span class="uk-Montserrat"> {!! __('main.payment') !!}</span></p>
              <form  method="GET" id="payment-form" action="{!! URL::to('paypal') !!}">
                {{ csrf_field() }}
                <input type="hidden" name="_token" value="ug6eemUCaFgFpEhMsNXGItcSnp67y91yci5xvp3J">
                <div>
                  <div class="uk-inline uk-width"> 
                    <input id="amount" type="text" name="amount" placeholder="{!! __('main.pay_number') !!}" class="uk-border-rounded uk-input">
                  </div>
                </div>
                <button type="submit" class="uk-button uk-button-secondary uk-border-rounded uk-animation-slide-left-small uk-margin-top">{!! __('main.payment-title') !!}
                 <span uk-icon="icon: triangle-right"></span>
               </button>
             </form>
           </div>
         </div>
          </div>
        </div>
      </div>
    </div>
    <div class="uk-width-1-3@m">
      <div class="uk-card uk-card-default uk-card-body uk-border-rounded">
        <div  uk-grid>
          <div class="uk-width-expand">
           <div class="uk-grid-small uk-child-width-auto" uk-grid>
            <div class="uk-container uk-container-xlarge">
             @if(isset($Food->Client->ImageUpload->filename))
             <a class="uk-display-inline-block uk-margin-left" href="{!! url('Restaurants') !!}/{!! $Food->Client->slug !!}">
              <img class="uk-border-10" width="100" height="100" src="{{ asset($Food->Client->ImageUpload->filename) }}"></a> 
              @else
              @endif
              <h5 class="uk-display-inline-block uk-margin-left">{!! $Food->Client->{'Title_'.$Locale} !!}</h5>           
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="uk-card uk-card-default uk-card-body uk-border-rounded uk-margin-top">
      <div  uk-grid>
        <div class="uk-width-expand">
         <div class="uk-grid-small uk-child-width-auto" uk-grid>
          <div class="uk-margin-small-share">
            <h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet uk-text-20">{{ __('main.Share_Food')}}</h1>
          </div>
          <div>
            <a href="http://www.facebook.com/sharer.php?u={{ url('') }}" class="uk-icon-button" uk-icon="facebook" target="_blank"></a>
            <a href="http://www.linkedin.com/shareArticle?mini=true&amp;url={{ url('') }}" class="uk-icon-button" uk-icon="linkedin"></a>
            <a href="http://reddit.com/submit?url={{ url('') }}&amp;title=Share" class="uk-icon-button" uk-icon="reddit" target="_blank"></a>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="uk-margin-top">
    <div  uk-grid>
     @foreach($TopFoods as $TopFood)
     <div>
      <div class="uk-card uk-border-10 toggle uk-animation-toggle" tabindex="0">
        <div class="uk-card-media-top uk-list-three">
          <a href="{{ url('Foods') }}/{{$TopFood->slug}}">
            <img src="{{ asset($TopFood->ImageUpload->filename) }}" alt="{{ $TopFood->meta_description }}" class="uk-card-border">
          </a>
        </div>
        <div class="uk-list-two">
          <h3 class="uk-card-title"><a href="{{ url('Foods') }}/{{$TopFood->slug}}" class="uk-link-heading">{{ $TopFood->{'Title_'.$Locale} }}</a>
            <form  method="post" action="{{ route('Favourites.store')}}" class="uk-display-flex">
              {{ csrf_field() }}
              <input type="number" name="Post_id" hidden="" value="{{ $TopFood->id }}">
              <button class="uk-float-right uk-color-heart uk-animation-slide-top-small uk-button-none" type="submit"><i class="fas fa-heart"></i></button>
            </form>
          </h3>
          <ul class="uk-comment-meta uk-subnav uk-subnav-divider uk-margin-remove-top">
            <li>
              <a href="{{ url('Foods') }}/{{$TopFood->slug}}" class="uk-color-2">
                <span class="uk-label uk-label-success span">{!! __('main.Delivered_time') !!} {{ $TopFood->time }}</span> 
                <span class="uk-label uk-label-danger span"><i class="fas fa-dollar-sign"></i> {{ $TopFood->price }}</span>
              </a>
            </li>
            <li class="uk-margin-top"><a href="{{ url('Foods') }}/{{$TopFood->slug}}" class="uk-color-2 uk-animation-slide-left-small uk-text-15">{{ __('main.Delivered_Now')}} 
              <span uk-icon="icon: triangle-right"></span></a></li>
            </ul>
          </div>
        </div>
      </div>
      @endforeach
    </div>
  </div>
  <div class="uk-card uk-card-default uk-card-body uk-border-rounded uk-margin-top">
    <div  uk-grid>
     <div class="uk-width-1-1">
      <div class="uk-width-expand">
        <h4 class="uk-comment-title"><a class="uk-link-reset">{{ __('main.Delivered_a')}}</a></h4>
        <p class="uk-comment-meta uk-margin-remove"><a class="uk-color-list"></a></p>
      </div> 
    </div>
    <!-- ================================ Messagge  ==================================== -->
    <script>
      function Order() {
        var x = document.forms["Order"]["Content"].value;
        if (x == null || x == "" || x.length > 50 ) {
         window.location.href = '{{ url('') }}';
         return false;
       }
     }
   </script>
   <!-- ================================ Messagge  ================================ -->
   <div class="uk-width-expand uk-margin-top">
     <!--   ================  Messagge ==============================================  -->
     @if(session('Order'))
     <div class="uk-alert-success" uk-alert>
      <a class="uk-alert-close" uk-close></a>
      <p>{{ __('main.Congratulations_food')}}</p>
    </div>
    @endif
    <!--   ===============================  Messagge  ==============================  -->
    @if ($errors->any()) 
    <div class="uk-alert-success" uk-alert>
      <a class="uk-alert-close" uk-close></a>
      <p>
        @foreach ($errors->all() as $error)
        {{ $error }}
        @endforeach
      </p>
    </div>   
    @endif
    <!-- ===============================  Messagge  ==================================== -->
    <form method="post" action="{{ route('Order.store') }}" name="Order" onsubmit="return Order()">
      {{ csrf_field() }}
      <div>
        <div class="uk-inline uk-width">
          <span class="uk-form-icon" uk-icon="icon:  user"></span>
          <input class="uk-input @error('Name') is-invalid @enderror" type="text" placeholder="{{ __('main.Your_Name')}}" name="Name">
          @error('Name')
          <div class="uk-alert-warning" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>{{ $message }}</p>
          </div>
          @enderror
        </div>
        <div class="uk-inline uk-width uk-margin-top">
          <textarea name="Content" class="uk-textarea @error('Content') is-invalid @enderror" rows="5" placeholder="{{ __('main.Order_with')}}"></textarea>
          @error('Content')
          <div class="uk-alert-warning" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>{{ $message }}</p>
          </div>
          @enderror
        </div>
      </div>
      <button type="submit" class="uk-button uk-button-primary uk-border-10 uk-margin-top uk-button-small bold-2">{{ __('main.Delivered')}} 
        <span uk-icon="arrow-right"></span></button>
      </form>
    </div>
  </div>
</div>
</div>
</div>
</div>
</div>
<!-- ============================================================= Content ================================================= -->
@endsection