@extends('layouts.main')

@section('content')
<!-- ============================================================= Content Start ============================================================= -->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-dark uk-background-cover" style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
  <div class="uk-container uk-container-xlarge">
     @if(isset($Restaurant->ImageUpload->filename))
           <a href="{!! url('Restaurants') !!}/{!! $Restaurant->slug !!}"><img class="uk-border-10" width="100" height="100" src="{{ asset($Restaurant->ImageUpload->filename) }}"></a> 
            @else
            @endif
    <h2 class="uk-heading-small">{!! $Restaurant->{'Title_'.$Locale} !!}</h2> 
    <ul class="uk-breadcrumb bold-2">
      <li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
      <li><span>{!! $Restaurant->{'Title_'.$Locale} !!}</span></li>
    </ul>          
  </div>
</div>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-section-muted">
<div class="uk-container uk-container-xlarge">
  @if(COUNT($FreshFoods) == NULL)
<div>
<div class="uk-alert-primary" uk-alert>
    <a class="uk-alert-close" uk-close></a>
    <p>{{ __('main.No_Food')}}</p>
</div>
</div>
@else
@endif
<div class="uk-child-width-1-5@m" uk-grid>
@foreach($FreshFoods as $FreshFood)
<div>
<div class="uk-card uk-border-10 toggle uk-animation-toggle" tabindex="0">
<div class="uk-card-media-top uk-list-three">
<a href="{{ url('Foods') }}/{{$FreshFood->slug}}">
<img src="{{ asset($FreshFood->ImageUpload->filename) }}" alt="{{ $FreshFood->meta_description }}" class="uk-card-border">
</a>
</div>
<div class="uk-list-two">
<h3 class="uk-card-title"><a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-link-heading">{{ $FreshFood->{'Title_'.$Locale} }}</a>
<form  method="post" action="{{ route('Favourites.store')}}" class="uk-display-flex">
{{ csrf_field() }}
<input type="number" name="Post_id" hidden="" value="{{ $FreshFood->id }}">
<button class="uk-float-right uk-color-heart uk-animation-slide-top-small uk-button-none" type="submit"><i class="fas fa-heart"></i></button>
</form>
</h3>
<ul class="uk-comment-meta uk-subnav uk-subnav-divider uk-margin-remove-top">
<li>
  <a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-color-2">
    <span class="uk-label uk-label-success span">{!! __('main.Delivered_time') !!} {{ $FreshFood->time }}</span> 
    <span class="uk-label uk-label-danger span"><i class="fas fa-dollar-sign"></i> {{ $FreshFood->price }}</span>
 </a>
</li>
<li class="uk-margin-top"><a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-color-2 uk-animation-slide-left-small uk-text-15">{{ __('main.Delivered_Now')}} 
<span uk-icon="icon: triangle-right"></span></a></li>
</ul>
</div>
</div>
</div>
@endforeach
</div>
</div>
</div>
<div class="uk-section uk-section-muted uk-padding-remove-top">
<div class="uk-container uk-container-xlarge">
<div  uk-grid> 
  <div class="uk-width-1-1">
    <h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet">{{ __('main.Categories')}}</h1>
    @foreach($Categories as $Category)
  <a class="btn btn-outline-primary rounded iq-col-masonry-block uk-margin-top" href="{{ url('Cat') }}/{{ $Category->slug }}"> {{ $Category->{'Title_'.$Locale} }}
  </a>
    @endforeach
  </div>
</div>
</div>
</div>
<!-- ======================================== Content end   ========================================= -->
@endsection