@extends('layouts.main')

@section('content') 
<!-- ========================================= Content Start =========================================== -->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ========================================= content ================================================= -->
<div class="uk-section uk-section-muted">
      <div class="uk-container uk-container-xlarge">
        <div class="uk-child-width-expand" uk-grid>
          <div class="uk-width-1-1">
            <div class="uk-card uk-card-default uk-card-body uk-border-rounded">
             <div>
              @if(isset($User->ImageUpload->filename))
              <a type="button" class="uk-display-inline-block">
                <img class="uk-comment-avatar uk-border-rounded" src="{{ asset($User->ImageUpload->filename) }}" width="100" height="100">
              </a>
              @else
              @endif
              <div class="uk-display-inline-block uk-margin-left uk-user-content">
              <h3 class="uk-heading-small uk-heading-bullet">{{ $User->name }}</h3> 
              <a class="uk-button uk-link-reset bold-2"><span uk-icon="mail"></span> {{ $User->email }}</a>
              <a class="uk-button uk-link-reset bold-2"><span uk-icon="phone"></span> {{ $User->Phone }}</a>
              </div>
            </div>
          </div>
        </div>
        <div class="uk-width-1-1">
          <h2 class="uk-heading-small uk-heading-bullet">{{ __('main.My_Orders')}}</h2>
          <!--   ================  Messagge ================  -->
          @if(session('Favourite_DELETE'))
          <div class="uk-alert-success" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>{{ __('main.Favourite_DELETE')}}</p>
          </div>
          @endif
          <!--   ================  Messagge ================  -->
          @if(count($Favourites) == 0)
          <div class="uk-alert-success" uk-alert>
            <a class="uk-alert-close" uk-close></a>
            <p>{{ __('main.Dont_Favourites')}}</p>
          </div>
          @else 
          <div uk-grid class="uk-child-width-1-4@m uk-margin-top-30">
           @foreach($Favourites as $Favourite)
            <div>
            <div class="uk-card uk-border-10 toggle uk-animation-toggle" tabindex="0">
            <div class="uk-card-media-top uk-list-three">
            <a href="{{ url('Foods') }}/{{$Favourite->Post->slug}}">
              <img src="{{ asset($Favourite->Post->ImageUpload->filename) }}" alt="{{ $Favourite->Post->meta_description }}" class="uk-card-border">
            </a>
            </div>
            <div class="uk-list-two">
            <h3 class="uk-card-title"><a href="{{ url('Foods') }}/{{$Favourite->Post->slug}}" class="uk-link-heading">{{ $Favourite->Post->{'Title_'.$Locale} }}</a>
            <form  method="POST" action="{{ route('Favourites.destroy',$Favourite->id) }}" class="uk-display-flex">
            @csrf
            @method('DELETE')
            <button class="uk-float-right uk-color-heart" type="submit" uk-icon="icon: trash"></button>
            </form>
            </h3>
            <ul class="uk-comment-meta uk-subnav uk-subnav-divider uk-margin-remove-top">
            <li>
          <a href="{{ url('Foods') }}/{{$Favourite->Post->slug}}" class="uk-color-2">
            <span class="uk-label uk-label-success span">{!! __('main.Delivered_time') !!} {{ $Favourite->Post->time }}</span> 
            <span class="uk-label uk-label-danger span"><i class="fas fa-dollar-sign"></i> {{ $Favourite->Post->price }}</span>
             </a>
            </li>
            <li class="uk-margin-top"><a href="{{ url('Foods') }}/{{$Favourite->Post->slug}}" class="uk-color-2 uk-animation-slide-left-small uk-text-15">{{ __('main.Delivered_Now')}} 
            <span uk-icon="icon: triangle-right"></span></a></li>
            </ul>
            </div>
            </div>
            </div>
            @endforeach
            </div>
            @endif
          </div>
        </div>
      </div>
    </div>
<!-- ============================================================= Content ================================================= -->
@endsection