@extends('layouts.main')

@section('content')
<!-- ============================================================= Content Start ============================================================= -->
<span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-dark uk-background-cover" style="background-image: url('{{ asset('assets/images/breadcrumbs.jpg') }}')">
<div class="uk-container uk-container-xlarge">
<h2 class="uk-heading-small">{{ __('main.Search')}}</h2> 
<ul class="uk-breadcrumb">
<li class="uk-button uk-button-text"><a href="{{ url('') }}">{{ __('main.Home')}}</a></li>
<li><span>{{ __('main.Search')}}</span></li>
</ul>          
</div>
</div>
<!-- ===========================================  content =================================== -->
<div class="uk-section uk-section-muted">
<div class="uk-container uk-container-xlarge">
<div  uk-grid>
<div class="uk-width-1-1">
@if(COUNT($FreshFoods) == NULL)
<h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet">{{ __('main.No_Food')}}</h1>
@else
<h1 class="uk-heading-xsmall uk-margin-remove-top uk-heading-bullet">{{ __('main.Search_library')}} {{ COUNT($FreshFoods) }}</h1>
@endif
<!-- ================================ Search form ================================================== -->
<script>
function validateForm() {
  var x = document.forms["myForm"]["search"].value;
  if (x == null || x == "" || x.length > 30 ) {
   window.location.href = '{{ url('') }}';
   return false;
 }
}
</script>
<!-- ================================ Search form ===================================================== -->
<!-- ================================ Search form ===================================================== -->
<form class="uk-search uk-search-default uk-search-large uk-margin-top-10 uk-width" method="GET" action="{{ url('search') }}" role="search" 
name="myForm" onsubmit="return validateForm()">
{{ csrf_field() }}
<a uk-search-icon></a>
<input class="uk-search-input uk-text-emphasis uk-border-pill" type="search" placeholder="{{ __('main.More_Search')}}" name="search">
</form>
<!-- ================================ Search form ===================================================== -->
</div>
</div>
<div class="uk-child-width-1-4@m" uk-grid>
@foreach($FreshFoods as $FreshFood)
<div>
<div class="uk-card uk-border-10 toggle uk-animation-toggle" tabindex="0">
<div class="uk-card-media-top uk-list-three">
<a href="{{ url('Foods') }}/{{$FreshFood->slug}}">
<img src="{{ asset($FreshFood->ImageUpload->filename) }}" alt="{{ $FreshFood->meta_description }}" class="uk-card-border">
</a>
</div>
<div class="uk-list-two">
<h3 class="uk-card-title"><a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-link-heading">{{ $FreshFood->{'Title_'.$Locale} }}</a>
<form  method="post" action="{{ route('Favourites.store')}}" class="uk-display-flex">
{{ csrf_field() }}
<input type="number" name="Post_id" hidden="" value="{{ $FreshFood->id }}">
<button class="uk-float-right uk-color-heart uk-animation-slide-top-small uk-button-none" type="submit"><i class="fas fa-heart"></i></button>
</form>
</h3>
<ul class="uk-comment-meta uk-subnav uk-subnav-divider uk-margin-remove-top">
<li>
  <a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-color-2">
    <span class="uk-label uk-label-success span">{!! __('main.Delivered_time') !!} {{ $FreshFood->time }}</span> 
    <span class="uk-label uk-label-danger span"><i class="fas fa-dollar-sign"></i> {{ $FreshFood->price }}</span>
 </a>
</li>
<li class="uk-margin-top"><a href="{{ url('Foods') }}/{{$FreshFood->slug}}" class="uk-color-2 uk-animation-slide-left-small uk-text-15">{{ __('main.Delivered_Now')}} 
<span uk-icon="icon: triangle-right"></span></a></li>
</ul>
</div>
</div>
</div>
@endforeach
</div>
</div>
</div>
<!-- ============================================================= Content end   ============================================================= -->
@endsection
