<!DOCTYPE html>
<html lang="en-gb" dir="ltr">
<head>
 <!-- ===================================== Meta site ================================================ -->
 <meta charset="utf-8">
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
 <!-- ====== Laravel description site edit delete from admin panel ================== -->
 <meta name="description" content="{{ option('MetaDescription')  }}">
 <!-- ====== Laravel author site edit delete from admin panel ====================== -->
 <meta name="author" content="{{ option('Metaauthor')  }}">
 <!-- ====== Laravel keywords site edit delete from admin panel ================== -->
 <meta name="keywords" content="{{ option('MetaKeyWords')  }}">  
 <!-- ====== Laravel robots site edit delete from admin panel ================== -->
 <meta name="robots" content="{{ option('Metarobots') }}">
 <meta name="msapplication-TileColor" content="#ffffff">
 <meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
 <meta name="theme-color" content="#ffffff">
 <!-- TWITTER META -->
 <meta name="twitter:card" content="summary">
 <meta name="twitter:site" content="@Avocada - Food Delivery">
 <meta name="twitter:creator" content="@Avocada - Food Delivery">
 <meta name="twitter:title" content="Avocada - Food Delivery">
 <meta name="twitter:description" content="Avocada - Food Delivery">
 <!-- ====== Laravel favicon icon ================== -->
 <link rel="apple-touch-icon" sizes="57x57" href="{{ asset('assets/images/favicon/apple-icon-57x57.png') }}">
 <link rel="apple-touch-icon" sizes="60x60" href="{{ asset('assets/images/favicon/apple-icon-60x60.png') }}">
 <link rel="apple-touch-icon" sizes="72x72" href="{{ asset('assets/images/favicon/apple-icon-72x72.png') }}">
 <link rel="apple-touch-icon" sizes="76x76" href="{{ asset('assets/images/favicon/apple-icon-76x76.png') }}">
 <link rel="apple-touch-icon" sizes="114x114" href="{{ asset('assets/images/favicon/apple-icon-114x114.png') }}">
 <link rel="apple-touch-icon" sizes="120x120" href="{{ asset('assets/images/favicon/apple-icon-120x120.png') }}">
 <link rel="apple-touch-icon" sizes="144x144" href="{{ asset('assets/images/favicon/apple-icon-144x144.png') }}">
 <link rel="apple-touch-icon" sizes="152x152" href="{{ asset('assets/images/favicon/apple-icon-152x152.png') }}">
 <link rel="apple-touch-icon" sizes="180x180" href="{{ asset('assets/images/favicon/apple-icon-180x180.png') }}">
 <link rel="icon" type="image/png" sizes="192x192"  href="{{ asset('assets/images/favicon/android-icon-192x192.png') }}">
 <link rel="icon" type="image/png" sizes="32x32" href="{{ asset(option('Favicon')) }}">
 <link rel="icon" type="image/png" sizes="96x96" href="{{ asset(option('Favicon')) }}">
 <link rel="icon" type="image/png" sizes="16x16" href="{{ asset(option('Favicon')) }}">
 <link rel="manifest" href="{{ asset('assets/images/favicon/manifest.json') }}">
 <!-- ====== SiteTitle ========================================================================== -->
 <title>{{ option('SiteTitle') }}</title>
 <link href="{{ asset('Dashboard/assets/Fontawesome/css/all.css') }}" rel="stylesheet"> <!--load all styles -->
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css?family=Montserrat:200,300,400,500,600&display=swap" rel="stylesheet"> 
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css?family=Righteous&display=swap" rel="stylesheet">
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css2?family=Lalezar&display=swap" rel="stylesheet">
 <!-- ===========================================  main =================================== -->
 <link rel="stylesheet" type="text/css" href="{{ asset('assets/css/main.css') }}" />
 <!-- ===========================================  uikit ============================== -->
 <script src="{{ asset('assets/js/uikit.js') }}"></script>
 <!-- ===========================================  uikit icons ============================== -->
 <script src="{{ asset('assets/js/uikit-icons.js') }}"></script> 
 <!-- ===========================================  head =================================== -->
 <span class="display-zero">{{ $Locale = LaravelLocalization::getCurrentLocale() }}</span>
 @if($Locale == 'ar')
 <link rel="stylesheet" href="{{ asset('assets/css/rtl.css') }}" />
 @else
 @endif
</head>
<body> 
  <!-- ===========================================  content =================================== -->
  <nav class="uk-navbar-container uk-letter-spacing-small">
    <div class="uk-container uk-container-xlarge">
      <div class="uk-position-z-index" data-uk-navbar>
        <div class="uk-navbar-left">
          <!-- ===========================================  content =================================== -->
          <a class="uk-navbar-item uk-logo" href="{{ url('') }}">
            <img alt="{{ option('SiteTitle')  }}" src="{{ asset(option('logo')) }}">
          </a>
          <ul class="uk-navbar-nav uk-visible@m uk-margin-large-left">
            @foreach(Menus() as $Menu)
            <li>
             <a href="{{ url($Menu->url) }}" target="{{ $Menu->target }}">
              {{ $Menu->{'Title_'.$Locale} }}
            </a>
          </li>
          @endforeach
          <li><a type="button"><i class="fas fa-utensils uk-margin-small-right"></i> {{ __('main.Upcoming_Food')}}<span class="uk-label uk-label-success uk-label-menu">{{ __('main.Pro')}}</span></a></li>
          <div uk-dropdown>
            <ul class="uk-nav uk-dropdown-nav">
              @foreach(dropdowns() as $Category)
              <li><a href="{{ url('Cat') }}/{{ $Category->slug }}">{{ $Category->{'Title_'.$Locale} }}</a></li>
              @endforeach
            </ul>
          </div>  
          <!-- ===========================================  content =================================== -->
          <li><a type="button"><i class="fas fa-language uk-margin-small-right"></i> {{ __('main.languages')}}</a></li>
          <div uk-dropdown>
          @foreach(LaravelLocalization::getSupportedLocales() as $localeCode => $properties)
          <li><a class="bold-2"  rel="alternate" hreflang="{{ $localeCode }}" 
                  href="{{ LaravelLocalization::getLocalizedURL($localeCode, null, [], true) }}">
          {{ $properties['native'] }}
          </a></li>
          @endforeach
          </div>
          <!-- ===========================================  content =================================== -->
        </ul>
      </div>
      <!-- ===========================================  content =================================== -->
      <div class="uk-navbar-right uk-margin-small-right">
        @guest
        <ul class="uk-thumbnav">
          <li>
            <a type="button">
              <img class="uk-comment-avatar uk-border-rounded" src="{{ asset('assets/images/avatar.png') }}" alt="avatar" width="40" height="40">
            </a>
          </li>
        </ul>
        <div uk-dropdown="mode: click ;pos: bottom-right">
          <ul class="uk-nav uk-dropdown-nav">
            <li><a href="{{ route('login') }}"><i class="fas fa-sign-in-alt uk-margin-small-right"></i> {{ __('main.Sign_In')}}</a></li>
            <li><a href="{{ route('register') }}"><i class="fas fa-user-plus uk-margin-small-right"></i> {{ __('main.Sign_Up')}}</a></li>
          </ul>
        </div>
        @else
        <ul class="uk-thumbnav">
          <li>
            <a type="button">
              <img class="uk-comment-avatar uk-border-rounded" src="{{ asset(Auth::user()->ImageUpload->filename) }}" alt="avatar" width="40" height="40">
            </a>
          </li>
        </ul>
        <div uk-dropdown="mode: click ;pos: bottom-right">
          <ul class="uk-nav uk-dropdown-nav">
           @hasrole('Super-Admin')
           <li><a href="{{ url('admin') }}"><i class="fas fa-user-cog"></i>  {{ Auth::user()->name }}</a></li>
           @else
           <li><a href="{{ url('Users') }}/{{ Auth::user()->slug }}"><i class="fas fa-user"></i> {{ Auth::user()->name }}</a></li>
           <li><a href="{{ url('Users') }}/{{ Auth::user()->slug }}"><i class="fas fa-utensils"></i> {{ __('main.My_Orders')}}</a></li>
           @endhasrole
           <li class="uk-nav-divider"></li>
           <li>
        <a href="{{ route('logout') }}" onclick="event.preventDefault();document.getElementById('logout-form').submit();">
        <i class="fas fa-sign-out-alt"></i> {{ __('main.Sign_Out')}}</a>
            <form id="logout-form" action="{{ route('logout') }}" method="POST" class="display-zero">
              @csrf
            </form>
          </li>
        </ul>
      </div>
      @endguest
      <a class="uk-navbar-toggle uk-hidden@m" href="#offcanvas" data-uk-toggle><span data-uk-navbar-toggle-icon></span></a>
    </div>
  </div>
</div>
</nav>
<!-- ===========================================  content =================================== -->
@yield('content')
<!-- ===========================================  content =================================== -->
<footer class="uk-section uk-dark" style="background-image: url('{{ asset('assets/images/Footer.jpg') }}');">
  <div class="uk-container uk-container-xlarge  uk-text-500">
    <div class="uk-child-width-1-2@s uk-child-width-1-4@m" data-uk-grid>
      <div>
        <a href="{{ url('') }}" class="uk-logo uk-display-block">
          <img alt="{{ option('SiteTitle')  }}" src="{{ asset(option('logo')) }}">
        </a>
         <p class="bold">
               @if($Locale == 'ar')
               {!! option('Home_ar') !!}
               @elseif($Locale == 'fr')
               {!! option('Home_fr') !!}
               @else
               {!! option('Home_en') !!}
               @endif
           </p>
        <h4 class="about_info-fact_title aos-init aos-animate">{!! __('main.Our_Socials') !!}</h4>
        <p class="uk-padding-top">
          <a href="{{ option('Twitter') }}" class="uk-icon-button uk-margin-small-right" uk-icon="twitter"></a>
          <a href="{{ option('Facebook') }}" class="uk-icon-button uk-margin-small-right" uk-icon="facebook"></a>
          <a href="{{ option('youtube') }}" class="uk-icon-button uk-margin-small-right" uk-icon="youtube"></a>
          <a href="{{ option('Instagram') }}" class="uk-icon-button uk-margin-small-right" uk-icon="instagram"></a>
        </p>
      </div>
      <div>
        <ul class="uk-list">
          <h4 class="about_info-fact_title aos-init aos-animate">{!! __('main.Restaurants') !!}</h4>
        <ul class="uk-padding-remove-left">
          @foreach(Restaurants() as $Restaurant)
          <li><i class="far fa-arrow-alt-circle-right"></i> <a class="uk-button uk-button-text bold-2" href="{{ url('Restaurants') }}/{{ $Restaurant->slug }}">{{ $Restaurant->{'Title_'.$Locale} }}</a></li>
          @endforeach
        </ul>
        </ul>
      </div>
      <div>
        <ul class="uk-list">
            <img src="{{ asset('assets/images/map.png') }}" width="20%">
            <p class="footer_contacts-address bold-2">
                <span class="linebreak">{!! option('Address') !!}</span>
                <span class="linebreak"></span>
            </p>
        </ul>
      </div>
      <div>
        <ul class="uk-list">
          <h3 class="uk-heading">{{ __('main.Our_Contact')}}</h3>
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="far fa-envelope"></i> {{ option('Email') }}</a>
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="fas fa-phone-square-alt"></i> {{ option('PhoneNumber') }}</a>  
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="fas fa-copyright"></i> {{ __('main.Meteors')}}</a>
             
        </ul>
        <p class="bold-2">{{ __('main.Go_up')}} <a href="#" uk-totop uk-scroll></a></p>
      </div>
    </div>
  </div>
</footer>
<!-- ===========================================  content =================================== -->
<div id="offcanvas" data-uk-offcanvas="flip: true; overlay: true">
  <div class="uk-offcanvas-bar">
    <a class="uk-logo" href="{{ url('') }}">{{ option('SiteTitle') }}</a>
    <button class="uk-offcanvas-close" type="button" data-uk-close="ratio: 1.2"></button>
    <ul class="uk-nav uk-nav-primary uk-nav-offcanvas uk-margin-medium-top uk-text-center">
     @foreach(Menus() as $Menu)
     <li>
       <a href="{{ url($Menu->url) }}" target="{{ $Menu->target }}">
        {{ $Menu->{'Title_'.$Locale} }}
      </a>
    </li>
    @endforeach
  </ul>
  <div class="uk-margin-medium-top">
    <a class="uk-button uk-width-1-1 uk-button-primary" href="{{ route('register') }}">{{ __('main.Sign_Up')}}</a>
  </div>
  <div class="uk-margin-medium-top uk-text-center">
    <div data-uk-grid class="uk-child-width-auto uk-grid-small uk-flex-center">
      <div>
        <a href="{{ option('Twitter') }}" data-uk-icon="icon: twitter" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="{{ option('Facebook') }}" data-uk-icon="icon: facebook" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="{{ option('Instagram') }}" data-uk-icon="icon: instagram" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="{{ option('youtube') }}" data-uk-icon="icon: youtube" class="uk-icon-link" target="_blank"></a>
      </div>
    </div>
  </div>
</div>
</div>
<!-- ===========================================  content =================================== -->
</body>
</html>