<!DOCTYPE html>
<html lang="en-gb" dir="ltr">
<head>
 <!-- ===================================== Meta site ================================================ -->
 <meta charset="utf-8">
 <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
 <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1.0, user-scalable=no">
 <!-- ====== Laravel description site edit delete from admin panel ================== -->
 <meta name="description" content="<?php echo e(option('MetaDescription')); ?>">
 <!-- ====== Laravel author site edit delete from admin panel ====================== -->
 <meta name="author" content="<?php echo e(option('Metaauthor')); ?>">
 <!-- ====== Laravel keywords site edit delete from admin panel ================== -->
 <meta name="keywords" content="<?php echo e(option('MetaKeyWords')); ?>">  
 <!-- ====== Laravel robots site edit delete from admin panel ================== -->
 <meta name="robots" content="<?php echo e(option('Metarobots')); ?>">
 <meta name="msapplication-TileColor" content="#ffffff">
 <meta name="msapplication-TileImage" content="/ms-icon-144x144.png">
 <meta name="theme-color" content="#ffffff">
 <!-- TWITTER META -->
 <meta name="twitter:card" content="summary">
 <meta name="twitter:site" content="@Avocada  - Food Delivery">
 <meta name="twitter:creator" content="@Avocada  - Food Delivery">
 <meta name="twitter:title" content="Avocada - Food Delivery">
 <meta name="twitter:description" content="Avocada - Food Delivery">
 <!-- ====== Laravel favicon icon ================== -->
 <link rel="apple-touch-icon" sizes="57x57" href="<?php echo e(asset('assets/images/favicon/apple-icon-57x57.png')); ?>">
 <link rel="apple-touch-icon" sizes="60x60" href="<?php echo e(asset('assets/images/favicon/apple-icon-60x60.png')); ?>">
 <link rel="apple-touch-icon" sizes="72x72" href="<?php echo e(asset('assets/images/favicon/apple-icon-72x72.png')); ?>">
 <link rel="apple-touch-icon" sizes="76x76" href="<?php echo e(asset('assets/images/favicon/apple-icon-76x76.png')); ?>">
 <link rel="apple-touch-icon" sizes="114x114" href="<?php echo e(asset('assets/images/favicon/apple-icon-114x114.png')); ?>">
 <link rel="apple-touch-icon" sizes="120x120" href="<?php echo e(asset('assets/images/favicon/apple-icon-120x120.png')); ?>">
 <link rel="apple-touch-icon" sizes="144x144" href="<?php echo e(asset('assets/images/favicon/apple-icon-144x144.png')); ?>">
 <link rel="apple-touch-icon" sizes="152x152" href="<?php echo e(asset('assets/images/favicon/apple-icon-152x152.png')); ?>">
 <link rel="apple-touch-icon" sizes="180x180" href="<?php echo e(asset('assets/images/favicon/apple-icon-180x180.png')); ?>">
 <link rel="icon" type="image/png" sizes="192x192"  href="<?php echo e(asset('assets/images/favicon/android-icon-192x192.png')); ?>">
 <link rel="icon" type="image/png" sizes="32x32" href="<?php echo e(asset(option('Favicon'))); ?>">
 <link rel="icon" type="image/png" sizes="96x96" href="<?php echo e(asset(option('Favicon'))); ?>">
 <link rel="icon" type="image/png" sizes="16x16" href="<?php echo e(asset(option('Favicon'))); ?>">
 <link rel="manifest" href="<?php echo e(asset('assets/images/favicon/manifest.json')); ?>">
 <!-- ====== SiteTitle ========================================================================== -->
 <title><?php echo e(option('SiteTitle')); ?></title>
 <link href="<?php echo e(asset('Dashboard/assets/Fontawesome/css/all.css')); ?>" rel="stylesheet"> <!--load all styles -->
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css?family=Montserrat:200,300,400,500,600&display=swap" rel="stylesheet"> 
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css?family=Righteous&display=swap" rel="stylesheet">
 <!-- ===========================================  googleapis =================================== -->
 <link href="https://fonts.googleapis.com/css2?family=Lalezar&display=swap" rel="stylesheet">
 <!-- ===========================================  main =================================== -->
 <link rel="stylesheet" type="text/css" href="<?php echo e(asset('assets/css/main.css')); ?>" />
 <!-- ===========================================  uikit ============================== -->
 <script src="<?php echo e(asset('assets/js/uikit.js')); ?>"></script>
 <!-- ===========================================  uikit icons ============================== -->
 <script src="<?php echo e(asset('assets/js/uikit-icons.js')); ?>"></script> 
 <!-- ===========================================  head =================================== -->
 <span class="display-zero"><?php echo e($Locale = LaravelLocalization::getCurrentLocale()); ?></span>
 <?php if($Locale == 'ar'): ?>
 <link rel="stylesheet" href="<?php echo e(asset('assets/css/rtl.css')); ?>" />
 <?php else: ?>
 <?php endif; ?>
</head>
<body> 
  <!-- ===========================================  content =================================== -->
  <nav class="uk-navbar-container uk-letter-spacing-small">
    <div class="uk-container uk-container-xlarge">
      <div class="uk-position-z-index" data-uk-navbar>
        <div class="uk-navbar-left">
          <!-- ===========================================  content =================================== -->
          <a class="uk-navbar-item uk-logo" href="<?php echo e(url('')); ?>">
            <img alt="<?php echo e(option('SiteTitle')); ?>" src="<?php echo e(asset(option('logo'))); ?>">
          </a>
          <ul class="uk-navbar-nav uk-visible@m uk-margin-large-left">
            <?php $__currentLoopData = Menus(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
            <li>
             <a href="<?php echo e(url($Menu->url)); ?>" target="<?php echo e($Menu->target); ?>">
              <?php echo e($Menu->{'Title_'.$Locale}); ?>

            </a>
          </li>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          <li><a type="button"><i class="fas fa-utensils uk-margin-small-right"></i> <?php echo e(__('main.Upcoming_Food')); ?><span class="uk-label uk-label-success uk-label-menu"><?php echo e(__('main.Pro')); ?></span></a></li>
          <div uk-dropdown>
            <ul class="uk-nav uk-dropdown-nav">
              <?php $__currentLoopData = dropdowns(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Category): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
              <li><a href="<?php echo e(url('Cat')); ?>/<?php echo e($Category->slug); ?>"><?php echo e($Category->{'Title_'.$Locale}); ?></a></li>
              <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </ul>
          </div>  
          <!-- ===========================================  content =================================== -->
          <li><a type="button"><i class="fas fa-language uk-margin-small-right"></i> <?php echo e(__('main.languages')); ?></a></li>
          <div uk-dropdown>
          <?php $__currentLoopData = LaravelLocalization::getSupportedLocales(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $localeCode => $properties): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <li><a class="bold-2"  rel="alternate" hreflang="<?php echo e($localeCode); ?>" 
                  href="<?php echo e(LaravelLocalization::getLocalizedURL($localeCode, null, [], true)); ?>">
          <?php echo e($properties['native']); ?>

          </a></li>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
          </div>
          <!-- ===========================================  content =================================== -->
        </ul>
      </div>
      <!-- ===========================================  content =================================== -->
      <div class="uk-navbar-right uk-margin-small-right">
        <?php if(auth()->guard()->guest()): ?>
        <ul class="uk-thumbnav">
          <li>
            <a type="button">
              <img class="uk-comment-avatar uk-border-rounded" src="<?php echo e(asset('assets/images/avatar.png')); ?>" alt="avatar" width="40" height="40">
            </a>
          </li>
        </ul>
        <div uk-dropdown="mode: click ;pos: bottom-right">
          <ul class="uk-nav uk-dropdown-nav">
            <li><a href="<?php echo e(route('login')); ?>"><i class="fas fa-sign-in-alt uk-margin-small-right"></i> <?php echo e(__('main.Sign_In')); ?></a></li>
            <li><a href="<?php echo e(route('register')); ?>"><i class="fas fa-user-plus uk-margin-small-right"></i> <?php echo e(__('main.Sign_Up')); ?></a></li>
          </ul>
        </div>
        <?php else: ?>
        <ul class="uk-thumbnav">
          <li>
            <a type="button">
              <img class="uk-comment-avatar uk-border-rounded" src="<?php echo e(asset(Auth::user()->ImageUpload->filename)); ?>" alt="avatar" width="40" height="40">
            </a>
          </li>
        </ul>
        <div uk-dropdown="mode: click ;pos: bottom-right">
          <ul class="uk-nav uk-dropdown-nav">
           <?php if(\Spatie\Permission\PermissionServiceProvider::bladeMethodWrapper('hasRole', 'Super-Admin')): ?>
           <li><a href="<?php echo e(url('admin')); ?>"><i class="fas fa-user-cog"></i>  <?php echo e(Auth::user()->name); ?></a></li>
           <?php else: ?>
           <li><a href="<?php echo e(url('Users')); ?>/<?php echo e(Auth::user()->slug); ?>"><i class="fas fa-user"></i> <?php echo e(Auth::user()->name); ?></a></li>
           <li><a href="<?php echo e(url('Users')); ?>/<?php echo e(Auth::user()->slug); ?>"><i class="fas fa-utensils"></i> <?php echo e(__('main.My_Orders')); ?></a></li>
           <?php endif; ?>
           <li class="uk-nav-divider"></li>
           <li>
        <a href="<?php echo e(route('logout')); ?>" onclick="event.preventDefault();document.getElementById('logout-form').submit();">
        <i class="fas fa-sign-out-alt"></i> <?php echo e(__('main.Sign_Out')); ?></a>
            <form id="logout-form" action="<?php echo e(route('logout')); ?>" method="POST" class="display-zero">
              <?php echo csrf_field(); ?>
            </form>
          </li>
        </ul>
      </div>
      <?php endif; ?>
      <a class="uk-navbar-toggle uk-hidden@m" href="#offcanvas" data-uk-toggle><span data-uk-navbar-toggle-icon></span></a>
    </div>
  </div>
</div>
</nav>
<!-- ===========================================  content =================================== -->
<?php echo $__env->yieldContent('content'); ?>
<!-- ===========================================  content =================================== -->
<footer class="uk-section uk-dark" style="background-image: url('<?php echo e(asset('assets/images/Footer.jpg')); ?>');">
  <div class="uk-container uk-container-xlarge  uk-text-500">
    <div class="uk-child-width-1-2@s uk-child-width-1-4@m" data-uk-grid>
      <div>
        <a href="<?php echo e(url('')); ?>" class="uk-logo uk-display-block">
          <img alt="<?php echo e(option('SiteTitle')); ?>" src="<?php echo e(asset(option('logo'))); ?>">
        </a>
         <p class="bold">
               <?php if($Locale == 'ar'): ?>
               <?php echo option('Home_ar'); ?>

               <?php elseif($Locale == 'fr'): ?>
               <?php echo option('Home_fr'); ?>

               <?php else: ?>
               <?php echo option('Home_en'); ?>

               <?php endif; ?>
           </p>
        <h4 class="about_info-fact_title aos-init aos-animate"><?php echo __('main.Our_Socials'); ?></h4>
        <p class="uk-padding-top">
          <a href="<?php echo e(option('Twitter')); ?>" class="uk-icon-button uk-margin-small-right" uk-icon="twitter"></a>
          <a href="<?php echo e(option('Facebook')); ?>" class="uk-icon-button uk-margin-small-right" uk-icon="facebook"></a>
          <a href="<?php echo e(option('youtube')); ?>" class="uk-icon-button uk-margin-small-right" uk-icon="youtube"></a>
          <a href="<?php echo e(option('Instagram')); ?>" class="uk-icon-button uk-margin-small-right" uk-icon="instagram"></a>
        </p>
      </div>
      <div>
        <ul class="uk-list">
          <h4 class="about_info-fact_title aos-init aos-animate"><?php echo __('main.Restaurants'); ?></h4>
        <ul class="uk-padding-remove-left">
          <?php $__currentLoopData = Restaurants(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Restaurant): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
          <li><i class="far fa-arrow-alt-circle-right"></i> <a class="uk-button uk-button-text bold-2" href="<?php echo e(url('Restaurants')); ?>/<?php echo e($Restaurant->slug); ?>"><?php echo e($Restaurant->{'Title_'.$Locale}); ?></a></li>
          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </ul>
        </ul>
      </div>
      <div>
        <ul class="uk-list">
            <img src="<?php echo e(asset('assets/images/map.png')); ?>" width="20%">
            <p class="footer_contacts-address bold-2">
                <span class="linebreak"><?php echo option('Address'); ?></span>
                <span class="linebreak"></span>
            </p>
        </ul>
      </div>
      <div>
        <ul class="uk-list">
          <h3 class="uk-heading"><?php echo e(__('main.Our_Contact')); ?></h3>
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="far fa-envelope"></i> <?php echo e(option('Email')); ?></a>
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="fas fa-phone-square-alt"></i> <?php echo e(option('PhoneNumber')); ?></a>  
        <a class="uk-button uk-link-muted uk-padding-remove-left bold-2"><i class="fas fa-copyright"></i> <?php echo e(__('main.Meteors')); ?></a>
             
        </ul>
        <p class="bold-2"><?php echo e(__('main.Go_up')); ?> <a href="#" uk-totop uk-scroll></a></p>
      </div>
    </div>
  </div>
</footer>
<!-- ===========================================  content =================================== -->
<div id="offcanvas" data-uk-offcanvas="flip: true; overlay: true">
  <div class="uk-offcanvas-bar">
    <a class="uk-logo" href="<?php echo e(url('')); ?>"><?php echo e(option('SiteTitle')); ?></a>
    <button class="uk-offcanvas-close" type="button" data-uk-close="ratio: 1.2"></button>
    <ul class="uk-nav uk-nav-primary uk-nav-offcanvas uk-margin-medium-top uk-text-center">
     <?php $__currentLoopData = Menus(); $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $Menu): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
     <li>
       <a href="<?php echo e(url($Menu->url)); ?>" target="<?php echo e($Menu->target); ?>">
        <?php echo e($Menu->{'Title_'.$Locale}); ?>

      </a>
    </li>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
  </ul>
  <div class="uk-margin-medium-top">
    <a class="uk-button uk-width-1-1 uk-button-primary" href="<?php echo e(route('register')); ?>"><?php echo e(__('main.Sign_Up')); ?></a>
  </div>
  <div class="uk-margin-medium-top uk-text-center">
    <div data-uk-grid class="uk-child-width-auto uk-grid-small uk-flex-center">
      <div>
        <a href="<?php echo e(option('Twitter')); ?>" data-uk-icon="icon: twitter" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="<?php echo e(option('Facebook')); ?>" data-uk-icon="icon: facebook" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="<?php echo e(option('Instagram')); ?>" data-uk-icon="icon: instagram" class="uk-icon-link" target="_blank"></a>
      </div>
      <div>
        <a href="<?php echo e(option('youtube')); ?>" data-uk-icon="icon: youtube" class="uk-icon-link" target="_blank"></a>
      </div>
    </div>
  </div>
</div>
</div>
<!-- ===========================================  content =================================== -->
</body>
</html><?php /**PATH C:\Users\hello\OneDrive\Desktop\Theme 7\Foodka\resources\views/layouts/main.blade.php ENDPATH**/ ?>